<section class="nevis-account-password-n-delete  grid-indent">

  <section class="nevis-account__single-form  dwfe-form">
    <h2 id="password_change">{{app.i18n('title_change_password', i18n)}}</h2>

    <dwfe-form-control-input-password class="dwfe-form__item"
                                      [labelText]="app.i18n('new_password', i18n)"
                                      (takeControl)="cNewPassword=$event"></dwfe-form-control-input-password>

    <dwfe-form-control-input-password class="dwfe-form__item"
                                      [labelText]="app.i18n('new_password_repeat', i18n)"
                                      (takeControl)="cRepeatNewPassword=$event"></dwfe-form-control-input-password>

    <dwfe-form-control-input-password class="dwfe-form__item"
                                      [labelText]="app.i18n('current_password', i18n)"
                                      [disableValidators]="true"
                                      (takeControl)="cCurrentPasswordChange=$event"></dwfe-form-control-input-password>

    <dwfe-action-ok class="nevis-account__action"
                    [errorMessage]="errorMessage"
                    [successMessage]="successMessage"
                    [showErrorMessage]="activeExchangeUnitNumber===1 && errorMessage !== ''"
                    [showSuccessMessage]="activeExchangeUnitNumber===1 && successMessage !== ''"
                    [isDisabled]="!(cNewPassword.valid && cRepeatNewPassword.valid && cCurrentPasswordChange && cCurrentPasswordChange.value && cCurrentPasswordChange.value!='') || isLocked"
                    (takeClick)="performChangePassword()"></dwfe-action-ok>

    <dwfe-overlay *ngIf="activeExchangeUnitNumber===1 && isLocked"></dwfe-overlay>

  </section>

  <mat-divider></mat-divider>

  <section class="nevis-account__single-form  dwfe-form">
    <h2 id="delete-account">{{app.i18n('delete_account', i18n)}}</h2>

    <dwfe-form-control-input-password class="dwfe-form__item"
                                      [labelText]="app.i18n('current_password', i18n)"
                                      [disableValidators]="true"
                                      (takeControl)="cCurrentPasswordDelete=$event"></dwfe-form-control-input-password>

    <dwfe-action-ok class="nevis-account__action"
                    [Label]="app.i18n('delete_forever', i18n)"
                    [type]="'warning'"
                    [errorMessage]="errorMessage"
                    [successMessage]="successMessage"
                    [showErrorMessage]="activeExchangeUnitNumber===2 && errorMessage !== ''"
                    [showSuccessMessage]="activeExchangeUnitNumber===2 && successMessage !== ''"
                    [isDisabled]="!(cCurrentPasswordDelete && cCurrentPasswordDelete.value && cCurrentPasswordDelete.value!='') || isLocked"
                    (takeClick)="performDeleteAccount()"></dwfe-action-ok>

    <dwfe-overlay *ngIf="activeExchangeUnitNumber===2 && isLocked"></dwfe-overlay>

  </section>

</section>
